Subject: [hrpc] resolving pending charter issues

From: Niels ten Oever <[email-masked]>
Date: Tue, 24 Nov 2015 23:48:50 +0100

Hello everyone,

I looked at all comments provided on this list and other list and have
tried to resolve them below. Let me know what you think. The edited
version you can find on here on git:
https://github.com/nllz/IRTF-HRPC/blob/master/hrpc%20charter.txt

Looking forward to hear if any questions, comments or burning issues
remain.

Best,

Niels

Background
The Human Rights Protocol Consideration Proposed Research Group is
chartered to research whether standards and protocols can enable,
strengthen or threaten human rights, as defined in the Universal
Declaration of Human Rights (UDHR) [0] and the International Covenant
on Civil and Political Rights (ICCPR) [1], specifically, but not
limited to the right to freedom of expression and the right to freedom
of assembly.

The research group takes as its starting point the problem statement
that human-rights-enabling characteristics of the Internet might be
degraded if they're not properly defined, described and sufficiently
taken into account in protocol development. Not protecting these
characteristics could result in (partial) loss of functionality and
connectivity.

# Mat Ford pointed out that this is not a direct quote from RFC1958, so
# I changed 'stated in' into 'evinced by'.

As evinced by RFC 1958, the Internet aims to be the global network of
networks that provides unfettered connectivity to all users at all
times and for any content. Open, secure and reliable connectivity is
essential for rights such as freedom of expression and freedom of
association. Since the Internet's objective of connectivity makes it
an enabler of human rights, its architectural design converges with the
human rights framework.

# Both Ted Hardie and Robin Wilton made the remark that the sentence
# "Concerns for freedom of expression and association were a strong part
# of the world-view of the community involved in developing the first
# Internet protocols." might be a stretch, so I removed it.

The Internet was designed with freedom and openness of communications
as core values. But as the scale and the industrialization of the
Internet has grown greatly, the influence of such world-views started
to compete with other values.

# Ted Hardie suggested 'explore' instead of 'expose' since 'exposed
# might sound a bit hostile. I have no problems with that.

This research group aims to explore the relations between human rights
and protocols and to provide guidelines to inform future protocol
development and decision making where protocols impact the effective
exercise of the rights to freedom of expression or association.

Objective
This research has two major aims:
- - to expose the relation between protocols and human rights, with a
  focus on the rights to freedom of expression and freedom of assembly,
  and

- - to propose guidelines to protect the Internet as a human-rights-
  enabling environment in future protocol development, in a manner
  similar to the work done for Privacy Considerations in RFC 6973.

# Introducing awareness raising as objective as per comment of Stephen
# and supported by Robin and dkg

- - to increase the awareness in both the human rights community and the
technical community on the importance of the technical workings of the
Internet and its impact on human rights.

Outputs
The research group plans on using  a variety of research methods to
create different outputs including (but not limited to):

# As Lars and Mat Ford pointed out, IRSG RFC track should be IRSG RFC
# stream, and a Dirk pointed out 'tracking' might be a bit vague, to I
# replaced it with 'documenting the progress'

- - Internet drafts - (some of which may be put on IRSG RFC stream)
These would concern documenting the progress of the project,
methodology, and would define any possible protocol considerations.

- - Policy and academic papers
For in depth analysis and discussion on the relationship between human
rights and the Internet architecture and protocols.

# Based on the comments of Mary Burnes 'a diverse set' is introduced
# in the following para:

- - Film and textual interviews with a diverse set of community members,
to give an accessible insight into the variety of opinions on this
topic represented in the IETF.

- - Data analysis and visualization
To research and visualize the language used in current and historic
RFCs and mailinglist discussions to expose core architectural
principles, language and deliberations on human rights of those
affected by the network.

# As suggested by Seda and supported by dkg, including some language
# suggestion from me:

- - Protocol analysis
Data analysis and visualization of (existing) protocols in the wild to
research their concrete impact on human rights.

Membership
Membership is open to any interested parties who intend to remain
current with the published documents and mailing list issues.

[0] http://www.un.org/en/documents/udhr/
[1] http://www.ohchr.org/EN/ProfessionalInterest/Pages/CCPR.aspx

- -- 
Niels ten Oever
Head of Digital

Article 19
www.article19.org

PGP fingerprint    8D9F C567 BEE4 A431 56C4
                   678B 08B5 A0F2 636D 68E9

---

From: Stanley Shanapinda <[email-masked]>
Date: Thu, 26 Nov 2015 00:53:17 +0000

Dear All, 
Thanks Niels, it looks and reads pretty well. 
Is there a particular reason "the right to privacy' was not specified as well but is simply implied in the overall human rights context? 
One of the fundamental issues considered in every protocol is security, i.e. "security" from unauthorized access and interference. Secure communications denotes "private' communications, In would like to think. 
Thanks and regards
Stanley
________________________________________
From: Niels ten Oever [[email-masked]]
Sent: Wednesday, November 25, 2015 9:48 AM
To: [email-masked]
Subject: [hrpc] resolving pending charter issues

Hello everyone,

Best,

Niels

Background

Objective

Outputs

- - Protocol analysis

Membership

- --
Niels ten Oever
Head of Digital

Article 19
www.article19.org

---

From: Niels ten Oever <[email-masked]>
Date: Fri, 27 Nov 2015 16:54:28 +0100

Hi Stanley,

Thanks a lot for your question. Privacy is not specifically mentioned
because the problem of security as well as privacy are already much
better understood in the IETF than other rights concepts.
Privacy for instance is already mentioned in RFC1087 [0] and
culminated in the great document RFC6973 [1] to which we are referring
in the charter.

So I would think it is sufficiently covered, let me know if after this
you still think differently.

Another nice piece of reading on this topic is by Nick Doty [2].

Happy to discuss!

Best,

Niels

[0] https://tools.ietf.org/html/rfc1087
[1] https://tools.ietf.org/html/rfc6973
[2] https://npdoty.name/privacy-reviews/iwpe/

Niels ten Oever
Head of Digital

Article 19
www.article19.org

On 11/26/2015 01:53 AM, Stanley Shanapinda wrote:
> Dear All, Thanks Niels, it looks and reads pretty well. Is there a 
> particular reason "the right to privacy' was not specified as well 
> but is simply implied in the overall human rights context? One of
> the fundamental issues considered in every protocol is security,
> i.e. "security" from unauthorized access and interference. Secure 
> communications denotes "private' communications, In would like to 
> think. Thanks and regards Stanley 
> ________________________________________ From: Niels ten Oever 
> [[email-masked]] Sent: Wednesday, November 25, 2015 9:48 AM
> To: [email-masked] Subject: [hrpc] resolving pending charter issues
> 
> Hello everyone,
> 
> I looked at all comments provided on this list and other list and 
> have tried to resolve them below. Let me know what you think. The 
> edited version you can find on here on git: 
> Looking forward to hear if any questions, comments or burning
> issues remain.
> 
> Best,
> 
> Niels
> 
> 
> Background The Human Rights Protocol Consideration Proposed
> Research Group is chartered to research whether standards and
> protocols can enable, strengthen or threaten human rights, as
> defined in the Universal Declaration of Human Rights (UDHR) [0] and
> the International Covenant on Civil and Political Rights (ICCPR)
> [1], specifically, but not limited to the right to freedom of
> expression and the right to freedom of assembly.
> 
> The research group takes as its starting point the problem
> statement that human-rights-enabling characteristics of the
> Internet might be degraded if they're not properly defined,
> described and sufficiently taken into account in protocol
> development. Not protecting these characteristics could result in
> (partial) loss of functionality and connectivity.
> 
> # Mat Ford pointed out that this is not a direct quote from
> RFC1958, so # I changed 'stated in' into 'evinced by'.
> 
> As evinced by RFC 1958, the Internet aims to be the global network 
> of networks that provides unfettered connectivity to all users at 
> all times and for any content. Open, secure and reliable
> connectivity is essential for rights such as freedom of expression
> and freedom of association. Since the Internet's objective of
> connectivity makes it an enabler of human rights, its architectural
> design converges with the human rights framework.
> 
> # Both Ted Hardie and Robin Wilton made the remark that the
> sentence # "Concerns for freedom of expression and association were
> a strong part # of the world-view of the community involved in
> developing the first # Internet protocols." might be a stretch, so
> I removed it.
> 
> The Internet was designed with freedom and openness of 
> communications as core values. But as the scale and the 
> industrialization of the Internet has grown greatly, the influence
> of such world-views started to compete with other values.
> 
> This research group aims to explore the relations between human 
> rights and protocols and to provide guidelines to inform future 
> protocol development and decision making where protocols impact
> the effective exercise of the rights to freedom of expression or 
> association.
> 
> Objective This research has two major aims: - to expose the
> relation between protocols and human rights, with a focus on the
> rights to freedom of expression and freedom of assembly, and
> 
> - to propose guidelines to protect the Internet as a human-rights-
> # Introducing awareness raising as objective as per comment of 
> Stephen # and supported by Robin and dkg
> 
> - to increase the awareness in both the human rights community and 
> the technical community on the importance of the technical
> workings of the Internet and its impact on human rights.
> 
> Outputs The research group plans on using  a variety of research 
> methods to create different outputs including (but not limited
> to):
> 
> # As Lars and Mat Ford pointed out, IRSG RFC track should be IRSG 
> RFC # stream, and a Dirk pointed out 'tracking' might be a bit
> vague, to I # replaced it with 'documenting the progress'
> 
> - Internet drafts - (some of which may be put on IRSG RFC stream) 
> - Policy and academic papers For in depth analysis and discussion
> on the relationship between human rights and the Internet
> architecture and protocols.
> 
> # Based on the comments of Mary Burnes 'a diverse set' is
> introduced # in the following para:
> 
> - Film and textual interviews with a diverse set of community 
> members, to give an accessible insight into the variety of
> opinions on this topic represented in the IETF.
> 
> - Data analysis and visualization To research and visualize the 
> language used in current and historic RFCs and mailinglist 
> discussions to expose core architectural principles, language and 
> deliberations on human rights of those affected by the network.
> 
> # As suggested by Seda and supported by dkg, including some
> language # suggestion from me:
> 
> - Protocol analysis Data analysis and visualization of (existing) 
> protocols in the wild to research their concrete impact on human 
> rights.
> 
> Membership Membership is open to any interested parties who intend
> to remain current with the published documents and mailing list
> issues.
> 
> [0] http://www.un.org/en/documents/udhr/ [1] 
> http://www.ohchr.org/EN/ProfessionalInterest/Pages/CCPR.aspx
> 
> 
> 
>

---

From: Corinne Cath <[email-masked]>
Date: Sat, 28 Nov 2015 19:28:19 +0000

Looks great!

Minor suggestion: change 'expose' (the relation between protocols and human
rights) to 'clarify' (the relation between protocols and human rights).
Expose feels a little like, I open the hood of the car and there by expose
its underlying workings but what we are really doing goes one step beyond
that we are actually trying to understand and make explicit the relations
between protocols and human rights. But might be nit-picking.

Best,

Corinne

On Fri, Nov 27, 2015 at 3:54 PM, Niels ten Oever <[email-masked]>
wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
>
> Hi Stanley,
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v2
>
> iQEcBAEBCAAGBQJWWHy0AAoJEAi1oPJjbWjpGkoH/1dmcKIXgwNfW3FitXoyrdaq
> EZoQo1DhOCCPXm/zHBkYs+fPIgztRFmF1asIxDHstB6AUdn5G12a+z+4Jn8vYwTg
> MKyGjpewQzN+LaVR494FyGvLJKih5xumWP6mZNLWIcNu1KxjhNGBT1GGjordyCtu
> JuEB6YYFRM/iH9NClPez9MCll0sunN5lIpdGMkI+nJT91erD487IvQdGzcBhYWS8
> OFcsCW3FEYpvmpyJhxcHGPFdkQANSAgjpISzmno9bX52yp+fqzJrSAHETan+cv2j
> slq33MMbqi8jcXHCsYbGYFKw/Mq7binNf/tze/Weu3iO5Ea3fdMWNT6CvbWMo7c=
> =gWV/
> -----END PGP SIGNATURE-----
>
> _______________________________________________
> hrpc mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/hrpc
>

-- 

'The management of normality is hard work'

---

From: Stanley Shanapinda <[email-masked]>
Date: Sun, 29 Nov 2015 02:31:49 +0000

Thanks Niels.
________________________________________
From: Niels ten Oever [[email-masked]]
Sent: Saturday, November 28, 2015 2:54 AM
To: Stanley Shanapinda; [email-masked]
Subject: Re: [hrpc] resolving pending charter issues

Hi Stanley,

Happy to discuss!

Best,

Niels

Niels ten Oever
Head of Digital

Article 19
www.article19.org

---

From: Niels ten Oever <[email-masked]>
Date: Mon, 30 Nov 2015 00:45:05 +0100

Hi Corinne,

The first mention of 'expose' was replaced by 'explore' as suggested
by Ted Hardie. But I still think there is value in keeping 'expose' in
there in the current instances because for me it goes back to the
thinking in phenomenology where one, if one studies an object or
relation close enough, the object or relation shows itself (Heidegger
calls it 'zeigen' [0] and Merleau-Ponty calls it 'découvrir' [1] if I
am not mistaken).

So it let's the explanation come for the phenomena itself instead of
'explaining' or 'clarifying' it, which implies much more interpretation.

Always happy to think of other wording, even though I would also like
to get the charter out of the door and get on with the real work ;)

Let me know what you think.

Cheers,

Niels

[0] In: Kunst, Koennen und Technik
[1] In: Phénoménologie de la perception

Niels ten Oever
Head of Digital

Article 19
www.article19.org

On 11/28/2015 08:28 PM, Corinne Cath wrote:
> Looks great!
> 
> Minor suggestion: change 'expose' (the relation between protocols
> and human rights) to 'clarify' (the relation between protocols and
> human rights). Expose feels a little like, I open the hood of the
> car and there by expose its underlying workings but what we are
> really doing goes one step beyond that we are actually trying to
> understand and make explicit the relations between protocols and
> human rights. But might be nit-picking.
> 
> Best,
> 
> Corinne
> 
> On Fri, Nov 27, 2015 at 3:54 PM, Niels ten Oever
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
> Hi Stanley,
> 
> Thanks a lot for your question. Privacy is not specifically
> mentioned because the problem of security as well as privacy are
> already much better understood in the IETF than other rights
> concepts. Privacy for instance is already mentioned in RFC1087 [0]
> and culminated in the great document RFC6973 [1] to which we are
> referring in the charter.
> 
> So I would think it is sufficiently covered, let me know if after
> this you still think differently.
> 
> [0] https://tools.ietf.org/html/rfc1087 [1]
> https://tools.ietf.org/html/rfc6973 [2]
> https://npdoty.name/privacy-reviews/iwpe/
> 
> Niels ten Oever Head of Digital
> 
> Article 19 www.article19.org <http://www.article19.org>
> 
> PGP fingerprint    8D9F C567 BEE4 A431 56C4 678B 08B5 A0F2 636D
> 68E9
> 
>> Dear All, Thanks Niels, it looks and reads pretty well. Is there
>> a particular reason "the right to privacy' was not specified as
>> well but is simply implied in the overall human rights context?
>> One of the fundamental issues considered in every protocol is
>> security, i.e. "security" from unauthorized access and
>> interference. Secure communications denotes "private'
>> communications, In would like to think. Thanks and regards
>> Stanley ________________________________________ From: Niels ten
>> Oever [[email-masked] <mailto:[email-masked]>] Sent:
>> Wednesday,
> November 25, 2015 9:48 AM
>> To: [email-masked] <mailto:[email-masked]> Subject: [hrpc]
>> resolving
> pending charter issues
> 
>> Hello everyone,
> 
>> I looked at all comments provided on this list and other list
>> and have tried to resolve them below. Let me know what you think.
>> The edited version you can find on here on git: 
>> defined in the Universal Declaration of Human Rights (UDHR) [0]
>> and the International Covenant on Civil and Political Rights
>> (ICCPR) [1], specifically, but not limited to the right to
>> freedom of expression and the right to freedom of assembly.
> 
>> development. Not protecting these characteristics could result
>> in (partial) loss of functionality and connectivity.
> 
>> As evinced by RFC 1958, the Internet aims to be the global
>> network of networks that provides unfettered connectivity to all
>> users at all times and for any content. Open, secure and
>> reliable connectivity is essential for rights such as freedom of
>> expression and freedom of association. Since the Internet's
>> objective of connectivity makes it an enabler of human rights,
>> its architectural design converges with the human rights
>> framework.
> 
>> sentence # "Concerns for freedom of expression and association
>> were a strong part # of the world-view of the community involved
>> in developing the first # Internet protocols." might be a
>> stretch, so I removed it.
> 
>> industrialization of the Internet has grown greatly, the
>> influence of such world-views started to compete with other
>> values.
> 
>> # Ted Hardie suggested 'explore' instead of 'expose' since
>> 'exposed # might sound a bit hostile. I have no problems with
>> that.
> 
>> - to propose guidelines to protect the Internet as a
>> human-rights- enabling environment in future protocol
>> development, in a manner similar to the work done for Privacy
>> Considerations in RFC 6973.
> 
>> - to increase the awareness in both the human rights community
>> and the technical community on the importance of the technical 
>> # As Lars and Mat Ford pointed out, IRSG RFC track should be
>> IRSG RFC # stream, and a Dirk pointed out 'tracking' might be a
>> bit vague, to I # replaced it with 'documenting the progress'
> 
>> - Internet drafts - (some of which may be put on IRSG RFC
>> stream) These would concern documenting the progress of the
>> project, methodology, and would define any possible protocol 
>> considerations.
> 
>> - Policy and academic papers For in depth analysis and
>> discussion on the relationship between human rights and the
>> Internet architecture and protocols.
> 
>> discussions to expose core architectural principles, language
>> and deliberations on human rights of those affected by the
>> network.
> 
>> - Protocol analysis Data analysis and visualization of
>> (existing) protocols in the wild to research their concrete
>> impact on human rights.
> 
>> Membership Membership is open to any interested parties who
>> intend to remain current with the published documents and mailing
>> list issues.
> 
> _______________________________________________ hrpc mailing list 
> [email-masked] <mailto:[email-masked]>

---

From: Corinne Cath <[email-masked]>
Date: Mon, 30 Nov 2015 09:51:50 +0000

All for getting it out the door!

On Sun, Nov 29, 2015 at 11:45 PM, Niels ten Oever <[email-masked]>
wrote:

> iQEcBAEBCAAGBQJWW44BAAoJEAi1oPJjbWjptwQH/3D/yNb/fySOJLhU6zS1UhKX
> Lr2QV0jfHNVT409MHrXxzvb2l3S3SfjzRy1GzyjP7Mrzaq2Szn+nfaL+E/5kcu4h
> WfP7uuZ4YcIqpTxzVCXwOCb4issZe3068xZtzEVsozYTBWvBNu1TjsJWViltupzk
> Y+7T67ayHjzx2ONIxlgkAAusHTcxwo3SfP2Moj1pAYZqediqlk8nqFS6Jcn6qG2l
> +S7C6xgkBWyV4CdpgOBOgYZh88mdwQ6G9nZ2vpXtU3AR2pUo7jeRBg5i+u4tcIHX
> A8fyDSDeEzu/UfusYfDt+fp7eAbPM5TWGvzxLAB3VULKq+s7DaiAQMp2k0V6dz0=
> =msmI

--